Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 197314 - CSS completion blocked by CSS parser error analysis
CSS completion blocked by CSS parser error analysis
Status: RESOLVED FIXED
Product: web
Classification: Unclassified
Component: CSS Visual Tools
-S1S-
PC Mac OS X
: P3 (vote)
: 7.0.1
Assigned To: Marek Fukala
issues@javaee
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-01 08:58 UTC by Marek Fukala
Modified: 2011-04-05 09:29 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marek Fukala 2011-04-01 08:58:11 UTC
Extracted from the issue 179727 - [69cat] Code completion is slow

http://statistics.netbeans.org/exceptions/exception.do?id=434322

Getting CSS parser result automatically involves the error evaluation of the css rules which is not always necessary.
Comment 1 Marek Fukala 2011-04-01 09:51:15 UTC
Making the semantic css error analysis lazy. Until one calls getDiagnostics() on the parser result it is not computed. In fact I'm not sure whether anyone else can call that method when the parser result is explicitly requested by PM.parse() from the completion thread before the completion shows the results. If this happens, some kind of parse levels would have to be added to the css parser result.

web-main#80cce555de36
Comment 2 Quality Engineering 2011-04-02 08:48:11 UTC
Integrated into 'main-golden', will be available in build *201104020400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/80cce555de36
User: Marek Fukala <mfukala@netbeans.org>
Log: #197314 - CSS completion blocked by CSS parser error analysis


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo